<template>
  <div class="content-old">
    <div class="block settings">
      <div class="line settings">
        <div class="setting interval-auto">
          <div class="toggle">
            <button
              type="button"
              class="item"
              :class="{active: activePeriodPreset===p.value}"
              @click="selectPreset(p)"
              v-for="p in periodPreset"
              :key="p.value">
              {{ p.text }}
            </button>
          </div>
        </div>

        <div class="setting interval-manual">
          <!-- тут новый VUE DATEPCIKER COMPONENT -->
          <div class="ui input">
            <input
              type="text"
              placeholder="От"
              v-model="dateFromFmt"
              @blur="onBlurFrom">
          </div>
          <div class="ui input">
            <input
              type="text"
              placeholder="До"
              v-model="dateFromTo"
              @blur="onBlurTo">
          </div>
          <!--    -->
        </div>

        <div class="setting detailing">
          <multiselect
            v-model="filter.detailing"
            class="no-checkbox"
            :class="{'multiselect--disabled': !detailingVisible}"
            :options="detailing"
            :allow-empty="false"
            :searchable="false"
            track-by="value"
            label="text"
            id="detailing"
            placeholder="Детализация"/>
          <div class="question">
            <div
              class="button"
              v-tooltip="{
                classes: 'tooltip kit white',
                trigger: 'hover',
                offset: '4',
                placement: 'bottom',
                html: 'true',
                content: '<div class=help-statistics-click>' +
                  '<p style=width:150px>Хотя бы один параметр должен быть &quot;Период&quot;</p>' +
                  '</div>',
              }"
            />
          </div>
        </div>
      </div>

      <div class="line settings">
        <div class="setting">
          <div class="label">Отображать данные</div>
          <div class="question">
            <div
              class="button"
              v-tooltip="{
                classes: 'tooltip kit white',
                trigger: 'hover',
                offset: '4',
                placement: 'bottom',
                html: 'true',
                content: '<div class=help-statistics-click> <ol>' +
                  '<li>Выберите основной параметр, по которому хотите посмотреть отчет.</li>' +
                  '<li>Выберите дополнительные параметры, если хотите получить более детальную информацию.</li>' +
                  '<li>Чтобы отфильтровать данные, используйте фильтры справа от каждого параметра.</li>' +
                  '</ol></div>',
              }"
            />
          </div>
        </div>
        <div
          v-if="listGroup1 && listGroup1.length"
          class="setting main-options">
          <multiselect
            :value="filter.group1"
            class="no-checkbox"
            :options="listGroup1"
            :allow-empty="false"
            track-by="value"
            label="text"
            id="display"
            @select="change1"
            placeholder="Основной параметр 1"/>
          <set-filter
            :filter="filter.group1"
            :selected="selected1"/>
        </div>

        <div
          v-if="listGroup2 && listGroup2.length"
          class="setting extra-options">
          <div class="label">Дополнительно:</div>
          <div class="option-item">
            <multiselect
              :value="filter.group2"
              class="no-checkbox"
              :options="listGroup2"
              track-by="value"
              label="text"
              id="display-2"
              @select="change2"
              placeholder="Доп. параметр 2">
              <template
                slot="clear"
                v-if="filter.group2">
                <div
                  class="multiselect__clear"
                  @mousedown.prevent.stop="change2(null)"/>
              </template>
            </multiselect>
            <set-filter
              :filter="filter.group2"
              :selected="selected2"/>
          </div>

          <div
            v-if="listGroup3 && listGroup3.length"
            class="option-item">
            <multiselect
              :value="filter.group3"
              class="no-checkbox"
              :options="listGroup3"
              :disabled="filter.group2 === null"
              track-by="value"
              label="text"
              id="display-3"
              @select="change3"
              placeholder="Доп. параметр 3">
              <template
                slot="clear"
                v-if="filter.group3">
                <div
                  class="multiselect__clear"
                  @mousedown.prevent.stop="change3(null)"/>
              </template>
            </multiselect>
            <set-filter
              :filter="filter.group3"
              :selected="selected3"/>
          </div>

          <div
            v-if="listGroup4 && listGroup4.length"
            class="option-item">
            <multiselect
              :value="filter.group4"
              class="no-checkbox"
              :options="listGroup4"
              :disabled="filter.group3 === null"
              track-by="value"
              label="text"
              id="display-4"
              @select="change4"
              placeholder="Доп. параметр 4">
              <template
                slot="clear"
                v-if="filter.group4">
                <div
                  class="multiselect__clear"
                  @mousedown.prevent.stop="change4(null)"/>
              </template>
            </multiselect>
            <set-filter
              :filter="filter.group4"
              :selected="selected4"/>
          </div>

          <div
            v-if="listGroup5 && listGroup5.length"
            class="option-item">
            <multiselect
              :value="filter.group5"
              class="no-checkbox"
              :options="listGroup5"
              :disabled="filter.group4 === null"
              track-by="value"
              label="text"
              id="display-5"
              @select="change5"
              placeholder="Доп. параметр 5">
              <template
                slot="clear"
                v-if="filter.group5">
                <div
                  class="multiselect__clear"
                  @mousedown.prevent.stop="change5(null)"/>
              </template>
            </multiselect>
            <set-filter
              :filter="filter.group5"
              :selected="selected5"/>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import AccordionMobile from '~/components/redesign/blocks/accordion-mobile';
import SetFilter from '~/components/redesign/cabinet/statistics/set-filter';
import Multiselect from 'vue-multiselect';
import {
  find,
  findIndex,
  filter,
  map,
  clone,
} from 'lodash-es';
import dayjs from 'dayjs';
import customParseFormat from 'dayjs/plugin/customParseFormat';
import quarterOfYear from 'dayjs/plugin/quarterOfYear';

dayjs.extend(quarterOfYear);
dayjs.extend(customParseFormat);

export default {
  name: 'StatMainFilter',
  components: {
    AccordionMobile,
    Multiselect,
    SetFilter,
  },
  props: {
    references: {
      type: Array,
      required: true,
    },
    loaderReference: {
      type: Function,
      required: true,
    },
    bus: {
      type: Object,
      required: true,
    },
    filterId: {
      type: String,
      required: true,
    },
    groups: {
      type: Array,
      required: true,
    },
  },
  data() {
    return {
      filter: {
        dateFrom: null,
        dateTo: null,
        dateFromStr: '',
        dateToStr: '',
        detailing: null,
        group1: null,
        group2: null,
        group3: null,
        group4: null,
        group5: null,
      },
      periodPreset: [
        {
          value: 'today', text: 'Сегодня', dateFrom: null, dateTo: null,
        },
        {
          value: 'yesterday', text: 'Вчера', dateFrom: null, dateTo: null,
        },
        {
          value: 'week', text: 'Неделя', dateFrom: null, dateTo: null,
        },
        {
          value: 'month', text: 'Месяц', dateFrom: null, dateTo: null,
        },
        {
          value: 'quarter', text: 'Квартал', dateFrom: null, dateTo: null,
        },
        {
          value: 'year', text: 'Год', dateFrom: null, dateTo: null,
        },
        {
          value: 'all', text: 'Всё время', dateFrom: null, dateTo: null,
        },
      ],
      detailing: [
        { value: 'DAY', text: 'По дням' },
        { value: 'WEEK', text: 'По неделям' },
        { value: 'MONTH', text: 'По месяцам' },
        { value: 'YEAR', text: 'По годам' },
      ],
      grouping: [],
    };
  },
  computed: {
    loadingCount() {
      return filter(this.grouping, it => it.loading).length;
    },
    filterData() {
      return {
        ...this.periodData,
        group: [
          this.filter.group1 !== null ? this.filter.group1.value : null,
          this.filter.group2 !== null ? this.filter.group2.value : null,
          this.filter.group3 !== null ? this.filter.group3.value : null,
          this.filter.group4 !== null ? this.filter.group4.value : null,
          this.filter.group5 !== null ? this.filter.group5.value : null,
        ],
        groupFilter: [
          this.filter.group1 !== null && this.filter.group1.selected.length > 0 ? this.filter.group1.selected : null,
          this.filter.group2 !== null && this.filter.group2.selected.length > 0 ? this.filter.group2.selected : null,
          this.filter.group3 !== null && this.filter.group3.selected.length > 0 ? this.filter.group3.selected : null,
          this.filter.group4 !== null && this.filter.group4.selected.length > 0 ? this.filter.group4.selected : null,
          this.filter.group5 !== null && this.filter.group5.selected.length > 0 ? this.filter.group5.selected : null,
        ],
        periodGroup: this.filter.detailing ? this.filter.detailing.value : undefined,
      };
    },
    periodData() {
      return {
        dateFrom: this.filter.dateFrom !== null
          ? `${this.filter.dateFrom.format('YYYY-MM-DDTHH:mm:ss')}Z` : undefined,
        dateTo: this.filter.dateTo !== null
          ? `${this.filter.dateTo.clone().hour(0).minute(0).second(0)
            .millisecond(0)
            .add(1, 'd')
            .format('YYYY-MM-DDTHH:mm:ss')}Z` : undefined,
      };
    },
    dateFromFmt: {
      get() {
        return this.filter.dateFromStr;
      },
      set(v) {
        if (v !== '') {
          const m = dayjs(v, 'DD.MM.YYYY');
          if (this.filter.dateFrom !== null) {
            if (m.isValid() && !this.filter.dateFrom.isSame(m.startOf('day'))) {
              this.filter.dateFrom = m.startOf('day');
            }
          } else if (m.isValid()) {
            this.filter.dateFrom = m.startOf('day');
          }
        } else {
          this.filter.dateFrom = null;
        }
        this.filter.dateFromStr = v;
      },
    },
    dateFromTo: {
      get() {
        return this.filter.dateToStr;
      },
      set(v) {
        if (v !== '') {
          const m = dayjs(v, 'DD.MM.YYYY');
          if (this.filter.dateTo !== null) {
            if (m.isValid() && !this.filter.dateTo.isSame(m.endOf('day'))) {
              this.filter.dateTo = m.endOf('day');
            }
          } else if (m.isValid()) {
            this.filter.dateTo = m.endOf('day');
          }
        } else {
          this.filter.dateTo = null;
        }
        this.filter.dateToStr = v;
      },
    },
    activePeriodPreset() {
      const preset = find(this.periodPreset, el => (
        el.dateFrom !== null && el.dateFrom.isSame(this.filter.dateFrom)
              && el.dateTo !== null && el.dateTo.isSame(this.filter.dateTo)
      ) || (
        el.dateFrom === null && this.filter.dateFrom === null
              && el.dateTo === null && this.filter.dateTo === null
      ));
      if (preset !== undefined) {
        return preset.value;
      }
      return null;
    },
    listGroup1() {
      return this.grouping;
    },
    listGroup2() {
      return filter(this.grouping, (el) => {
        if (this.filter.group1.value === 'PART' || this.filter.group1.value === 'MODEL') {
          return el.value !== this.filter.group1.value && el.value !== 'BRAND';
        }
        return el.value !== this.filter.group1.value;
      });
    },
    listGroup3() {
      return filter(this.listGroup2, (el) => {
        if (this.filter.group2 !== null && (this.filter.group2.value === 'PART'
            || this.filter.group1.value === 'MODEL')) {
          return el.value !== this.filter.group2.value && el.value !== 'BRAND';
        }
        return this.filter.group2 !== null && el.value !== this.filter.group2.value;
      });
    },
    listGroup4() {
      return filter(this.listGroup3, (el) => {
        if (this.filter.group3 !== null && (this.filter.group3.value === 'PART'
            || this.filter.group3.value === 'MODEL')) {
          return el.value !== this.filter.group3.value && el.value !== 'BRAND';
        }
        return this.filter.group3 !== null && el.value !== this.filter.group3.value;
      });
    },
    listGroup5() {
      return filter(this.listGroup4, (el) => {
        if (this.filter.group4 !== null && (this.filter.group4.value === 'PART'
            || this.filter.group4.value === 'MODEL')) {
          return el.value !== this.filter.group4.value && el.value !== 'BRAND';
        }
        return this.filter.group4 !== null && el.value !== this.filter.group4.value;
      });
    },
    detailingVisible() {
      return this.filter.group1.value === 'PERIOD'
            || (this.filter.group2 !== null && this.filter.group2.value === 'PERIOD')
            || (this.filter.group3 !== null && this.filter.group3.value === 'PERIOD')
            || (this.filter.group4 !== null && this.filter.group4.value === 'PERIOD')
            || (this.filter.group5 !== null && this.filter.group5.value === 'PERIOD');
    },
    selected1() {
      return this.filter.group1.selected;
    },
    selected2() {
      return this.filter.group2 !== null ? this.filter.group2.selected : null;
    },
    selected3() {
      return this.filter.group3 !== null ? this.filter.group3.selected : null;
    },
    selected4() {
      return this.filter.group4 !== null ? this.filter.group4.selected : null;
    },
    selected5() {
      return this.filter.group5 !== null ? this.filter.group5.selected : null;
    },
  },
  watch: {
    filterData(val) {
      // изменилась форма!
      // сначала должен отработать watch:periodData(), т.к. они оба зависят от периода
      this.$nextTick(() => {
        if (findIndex(this.grouping, { loading: true }) === -1) {
          // если все фильтры уже загружены, то грузим таблицу(сообщаем странице о новой форме фильтра)
          this.$emit('filter', val);
        }
        // иначе - грузим таблицу когда loadingCount станет 0
      });
      if (this.filterId !== null) {
        window.sessionStorage.setItem(this.filterId, JSON.stringify(val));
      }
    },
    periodData() {
      // сменился период! нужно обновить справочники выбранных фильтров
      this.loadReference(this.filter.group1);
      this.loadReference(this.filter.group2);
      this.loadReference(this.filter.group3);
      this.loadReference(this.filter.group4);
      this.loadReference(this.filter.group5);
    },
    loadingCount(val) {
      if (val === 0) {
        // последний справочник загрузился, можно обновлять таблицу
        this.$emit('filter', this.filterData);
      }
    },
    filterId() {
      this.init();
    },
  },
  created() {
    this.init();
  },
  destroyed() {
    this.bus.$off('resetForm', this.resetForm);
  },
  mounted() {
  },
  methods: {
    setForm(newForm) {
      this.filter.group1 = find(this.grouping, { value: newForm.group[0] });
      // если сохраненная 1-я группа отсутствует в списке группировок, то сбрасываем настройки формы
      // вероятно тут сохранился "филиал" от юзера-юрика, а сейчас залогинились физиком
      if (this.filter.group1 === undefined) {
        this.resetForm();
        return;
      }

      this.filter.group2 = newForm.group[1] !== null ? find(this.grouping, { value: newForm.group[1] }) : null;
      if (this.filter.group2 === undefined) {
        this.filter.group2 = null;
      }

      this.filter.group3 = newForm.group[2] !== null ? find(this.grouping, { value: newForm.group[2] }) : null;
      if (this.filter.group3 === undefined) {
        this.filter.group3 = null;
      }

      this.filter.group4 = newForm.group[3] !== null ? find(this.grouping, { value: newForm.group[3] }) : null;
      if (this.filter.group4 === undefined) {
        this.filter.group4 = null;
      }

      this.filter.group5 = newForm.group[4] !== null ? find(this.grouping, { value: newForm.group[4] }) : null;
      if (this.filter.group5 === undefined) {
        this.filter.group5 = null;
      }

      this.$set(this.filter.group1, 'selected', newForm.groupFilter[0] !== null ? newForm.groupFilter[0] : []);
      if (this.filter.group2 !== null) {
        this.$set(this.filter.group2, 'selected', newForm.groupFilter[1] !== null ? newForm.groupFilter[1] : []);
      }
      if (this.filter.group3 !== null) {
        this.$set(this.filter.group3, 'selected', newForm.groupFilter[2] !== null ? newForm.groupFilter[2] : []);
      }
      if (this.filter.group4 !== null) {
        this.$set(this.filter.group4, 'selected', newForm.groupFilter[3] !== null ? newForm.groupFilter[3] : []);
      }
      if (this.filter.group5 !== null) {
        this.$set(this.filter.group5, 'selected', newForm.groupFilter[4] !== null ? newForm.groupFilter[4] : []);
      }

      this.filter.detailing = find(this.detailing, { value: newForm.periodGroup });

      const prevFrom = this.filter.dateFrom;
      const prevTo = this.filter.dateTo;

      this.filter.dateFrom = newForm.dateFrom !== undefined ? dayjs(newForm.dateFrom).startOf('day') : null;
      this.filter.dateTo = newForm.dateTo !== undefined ? dayjs(newForm.dateTo).add(-1, 'd').endOf('day') : null;
      this.filter.dateFromStr = this.filter.dateFrom !== null ? this.filter.dateFrom.format('DD.MM.YYYY') : '';
      this.filter.dateToStr = this.filter.dateTo !== null ? this.filter.dateTo.format('DD.MM.YYYY') : '';

      if (!this.isDatesEqual(prevFrom, this.filter.dateFrom) || !this.isDatesEqual(prevTo, this.filter.dateTo)) {
        // изменился период -  сработает computed periodData
      } else {
        // период не изменился, а вот группировки, возможно, да. Загрузим их справочники
        this.loadReference(this.filter.group1);
        this.loadReference(this.filter.group2);
        this.loadReference(this.filter.group3);
        this.loadReference(this.filter.group4);
        this.loadReference(this.filter.group5);
      }
    },
    isDatesEqual(d1, d2) {
      if (d1 === null && d2 === null) {
        return true;
      }
      if (d1 !== null && d2 !== null) {
        return d1.isSame(d2);
      }
      return false;
    },
    resetForm() {
      this.initPeriodPresets();
      this.selectPreset(find(this.periodPreset, { value: 'all' }));
      this.filter.group1 = find(this.grouping, { value: 'PERIOD' });
      this.change2(null);
      this.change3(null);
      this.change4(null);
      this.change5(null);
      this.filter.detailing = find(this.detailing, { value: 'DAY' });
      this.grouping.forEach((it) => {
        it.list = [];
        it.selected = [];
      });
    },
    loadReference(group) {
      if (group === undefined || group === null || group.value === 'PERIOD') {
        return;
      }
      group.loading = true; // !!! ВАЖНО - это не только флаг для кнопочки, этот флаг влияет на порядок загрузки,
      //     см блок `watch`
      this.loaderReference(group.path, this.periodData)
        .then(({ data }) => {
          if (data) {
            group.list = map(data, el => ({ id: el.id, text: el.name }));
            group.selected = clone(group.selected); // для обновления computed
          } else {
            group.list = [];
            group.selected = [];
          }
        })
        .catch((err) => {
          console.error(err);
          group.list = [];
          this.$set(group, 'selected', []);
        })
        .finally(() => {
          group.loading = false; // !!! ВАЖНО
        });
    },
    onBlurFrom() {
      if (this.filter.dateFromStr !== '') {
        const m = dayjs(this.filter.dateFromStr, 'DD.MM.YYYY');
        if (m.isValid()) {
          this.filter.dateFromStr = m.startOf('day').format('DD.MM.YYYY');
        }
      }
    },
    onBlurTo() {
      if (this.filter.dateToStr !== '') {
        const m = dayjs(this.filter.dateToStr, 'DD.MM.YYYY');
        if (m.isValid()) {
          this.filter.dateToStr = m.endOf('day').format('DD.MM.YYYY');
        }
      }
    },
    selectPreset(preset) {
      this.filter.dateFrom = preset.dateFrom;
      this.filter.dateTo = preset.dateTo;
      this.filter.dateFromStr = this.filter.dateFrom !== null ? this.filter.dateFrom.format('DD.MM.YYYY') : '';
      this.filter.dateToStr = this.filter.dateTo !== null ? this.filter.dateTo.format('DD.MM.YYYY') : '';
    },
    initPeriodPresets() {
      this.periodPreset.forEach((p) => {
        switch (p.value) {
          case 'today':
            p.dateFrom = dayjs().startOf('day');
            p.dateTo = dayjs().endOf('day');
            break;
          case 'yesterday':
            p.dateFrom = dayjs().startOf('day').subtract(1, 'days');
            p.dateTo = dayjs().endOf('day').subtract(1, 'days');
            break;
          case 'week': // no break
          case 'month': // no break
          case 'quarter': // no break
          case 'year':
            p.dateFrom = dayjs().startOf(p.value);
            p.dateTo = dayjs().endOf(p.value);
            break;
          default:
        }
      });
    },
    init() {
      this.bus.$on('resetForm', this.resetForm);
      this.grouping = filter(this.groups, it => it.value === 'PERIOD' || this.references.indexOf(it.value) !== -1);
      this.resetForm();
      if (process.client) {
        const saved = window.sessionStorage.getItem(this.filterId);
        if (saved !== null) {
          try {
            this.setForm(JSON.parse(saved));
          } catch (e) {
            //
          }
        }
      }
    },
    change1(val) {
      this.filter.group1 = val;
      if (val !== null) {
        this.loadReference(val);
        this.filter.group1.selected = [];
      }
      this.change2(null);
      this.change3(null);
      this.change4(null);
      this.change5(null);
    },
    change2(val) {
      this.filter.group2 = val;
      if (val !== null) {
        this.loadReference(val);
        this.filter.group2.selected = [];
      }
      this.change3(null);
      this.change4(null);
      this.change5(null);
    },
    change3(val) {
      this.filter.group3 = val;
      if (val !== null) {
        this.loadReference(val);
        this.filter.group3.selected = [];
      }
      this.change4(null);
      this.change5(null);
    },
    change4(val) {
      this.filter.group4 = val;
      if (val !== null) {
        this.loadReference(val);
        this.filter.group4.selected = [];
      }
      this.change5(null);
    },
    change5(val) {
      this.filter.group5 = val;
      if (val !== null) {
        this.loadReference(val);
        this.filter.group5.selected = [];
      }
    },
  },
};
</script>

<style scoped lang="scss">
  .block.settings {
    display: block;
    width: 100%;
  }

  .line.settings {
    font-size: .8125rem;
    display: flex;
    flex-flow: row wrap;
    justify-content: flex-start;
    align-items: flex-start;
    flex: 1 0 auto;
    width: 100%;
    padding: 0 1.5rem;
    @media screen and (max-width: 980px) {
      max-width: 30rem;
      padding-top: 2rem;
    }

    > .setting, .option-item {
      display: inline-flex;
      flex: 0 1 auto;
      flex-flow: row nowrap;
      justify-content: flex-start;
      align-items: center;
      min-height: 2rem;
      margin-right: 1rem;
      margin-bottom: 1.5rem;

      &:last-child {
        margin-right: 0;
      }

      > * {
        margin-right: 0.5rem;

        &:last-child:not(.option-item) {
          margin-right: 0;
        }
      }

      .multiselect {
        min-width: 12rem;
        @media screen and (min-width: 981px) {
          max-width: 12rem;
        }
      }

      &.interval-manual {
        input {
          width: 5.625rem;
          padding-left: 0.675rem;
          padding-right: 0.675rem;
        }
      }
      &.extra-options {
        margin: 0;
        flex-wrap: wrap;
        justify-content: flex-start;
        .label {
          margin: 0 1rem auto 0;
          line-height: 2rem;
        }
      }

      @media screen and (max-width: 980px) {
        margin-right: 0;
        width: 100%;
        &.interval-manual {
          .input {
            width: 49%;
          }
        }
        &.extra-options {
          flex-flow: row wrap;

          .label {
            margin-bottom: 1.5rem;
          }
          .option-item {
            margin-bottom: 1.5rem;
          }

          .multiselect {
            width: calc(100% - 4.5rem);
          }

          .set-filter {
            margin-right: 0;
          }
        }
      }
    }

    .question {
      position: relative;
      display: inline-flex;

      > .button {
        display: inline-flex;
        justify-content: center;
        align-items: center;
        width: 1rem;
        height: 1rem;
        background: #fff;
        border: 1px solid #9badb9;
        border-radius: 50%;
        outline: 0;
        cursor: pointer;

        &:before {
          display: inline-flex;
          content: "?";
          font-size: 0.75rem;
          line-height: 1;
          color: #4272a4;
        }
      }
    }
  }

  .toggle {
    display: flex;
    flex-flow: row nowrap;
    justify-content: flex-start;
    align-items: center;
    width: auto;

    > .item {
      display: inline-flex;
      justify-content: center;
      align-items: center;
      width: auto;
      min-width: 5.375rem;
      height: 2rem;
      padding: .5rem 1rem;
      margin-right: -1px;
      font-size: 0.8125rem;
      line-height: 1;
      font-weight: 400;
      white-space: nowrap;
      color: #272727;
      cursor: pointer;
      background-color: #fff;
      border: 1px solid #9badb9;
      border-radius: 0;

      text-shadow: none;
      outline: none;
      box-shadow: none;

      &:hover, &:focus, &:active {
        background-color: #e5eaf5;
      }

      &.active {
        background-color: #ededed;
        cursor: default;
        pointer-events: none;
      }

      &:last-child {
        border-top-right-radius: 0.1875rem;
        border-bottom-right-radius: 0.1875rem;
      }

      &:first-child {
        border-top-left-radius: 0.1875rem;
        border-bottom-left-radius: 0.1875rem;
      }
    }

    @media screen and (max-width: 980px) {
      flex-flow: row wrap;
      justify-content: space-between;
      > .item {
        height: 3rem;
        font-size: 1rem;
        flex: 1 0 auto;
        margin-bottom: -1px;
      }
    }
  }
</style>
